GEARMAN_CLIENT_ADD_TASK(3)

NAME
gearman_client_add_task - Gearmand Documentation, https://gearman.org/gearmand/

SYNOPSIS

#include <libgearman/gearman.h>

gearman_task_st *gearman_client_add_task(gearman_client_st *client, gearman_task_st *task, void *context, const char *function_name, const char *unique, const void *workload, size_t workload_size, gearman_return_t *ret_ptr)

gearman_task_st *gearman_client_add_task_high(gearman_client_st *client, gearman_task_st *task, void *context, const char *function_name, const char *unique, const void *workload, size_t workload_size, gearman_return_t *ret_ptr)

gearman_task_st *gearman_client_add_task_low(gearman_client_st *client, gearman_task_st *task, void *context, const char *function_name, const char *unique, const void *workload, size_t workload_size, gearman_return_t *ret_ptr)

    Link with -lgearman

DESCRIPTION

gearman_client_add_task() creates a task and adds it to the given gearman_client_st. Execution of the task does not begin until gearman_client_run_tasks() is called.

If the unique value is not set, then a unique will be assigned.

gearman_client_add_task_high() and gearman_client_add_task_low() are identical to gearman_client_do(), only they set the priority to either high or low.

Job assignment priority is global across registered functions. A high priority job for any function is assigned before normal or low priority jobs for other functions.

RETURN VALUE

The gearman_task_st is created and a pointer to it is returned. On error NULL is returned and ret_ptr is set with a gearman_return_t.

HOME

To find out more information please check: https://gearman.org/gearmand/

SEE ALSO: gearmand(8) libgearman(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/